Subject: Re: New snapshots and old binaries
From: Chris Faylor <[email-masked]>
To: Suhaib Siddiqi <[email-masked]>
Cc: Charles Wilson <[email-masked]>, [email-masked]
Date: Mon, 30 Aug 1999 12:01:13 -0400

On Mon, Aug 30, 1999 at 11:45:27AM -0400, Suhaib Siddiqi wrote:
>> According to Suhaib:
>> ************
>> I do not know about /usr/local, but X11R6 needs a recompilation
>> or you will
>>
>> get a __ctype__ undefined references when linking, uncurses work from
>> B20.1.
>> You can get X11r6.4 for snapshot from my web site at siddiqi.webjump.com.
>> Most of the X11 and motif stuff for cygwin snapshots is available there.
>> Jpeg, tiff
>> and png will need recompilation.
>> ************
>>
>> I guess that signifies a bug in cygwin1.dll?
>
>
>I do not think it is a bug?  In B20.1 it was __ctype
>and in recent snapshots, (snapshot starting from mid february 99)
>it became __ctype__
>I do not know what was the reasoning behind chaning __ctype to __ctype__.
>
>Anyway, I had most of the necessary libs recompiled for snapshots
>to avoid __ctype__ issue.

I never claimed that the source hadn't changed or that you wouldn't need
to recompile things with the new headers and libraries that we provide.

It's really really simple.  The DLL works with older executables.
libcygwin.a and its associated header files may not be compatible with
older object files.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]